---
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  creationTimestamp: "2025-10-27T12:05:57Z"
  generation: 1
  labels:
    operators.coreos.com/nfd.openshift-nfd: ""
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:channel: {}
        f:installPlanApproval: {}
        f:name: {}
        f:source: {}
        f:sourceNamespace: {}
    manager: kubectl
    operation: Apply
    time: "2025-10-27T12:05:57Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          .: {}
          f:operators.coreos.com/nfd.openshift-nfd: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:05:57Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:catalogHealth: {}
        f:conditions: {}
        f:currentCSV: {}
        f:installPlanGeneration: {}
        f:installPlanRef: {}
        f:installedCSV: {}
        f:installplan:
          .: {}
          f:apiVersion: {}
          f:kind: {}
          f:name: {}
          f:uuid: {}
        f:lastUpdated: {}
        f:state: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2025-10-29T13:03:18Z"
  name: nfd
  namespace: openshift-nfd
  resourceVersion: "2208866"
  uid: f8213eb3-88be-408e-a888-cb1d82bf849c
spec:
  channel: stable
  installPlanApproval: Automatic
  name: nfd
  source: redhat-operators
  sourceNamespace: openshift-marketplace
status:
  catalogHealth:
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: hco-catalogsource
      namespace: openshift-marketplace
      resourceVersion: "2199653"
      uid: 4a92ebe7-fb03-4d63-bf0a-d62ce37a64e6
    healthy: true
    lastUpdated: "2025-10-29T13:03:17Z"
  - catalogSourceRef:
      apiVersion: operators.coreos.com/v1alpha1
      kind: CatalogSource
      name: prestage-operators
      namespace: openshift-marketplace
      resourceVersion: "2201712"
      uid: 59ff82b7-c5dd-42e2-86c0-f2521aa6cff5
    healthy: true
    lastUpdated: "2025-10-29T13:03:17Z"
  conditions:
  - lastTransitionTime: "2025-10-29T13:03:17Z"
    message: targeted catalogsource openshift-marketplace/redhat-operators missing
    reason: UnhealthyCatalogSourceFound
    status: "True"
    type: CatalogSourcesUnhealthy
  - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
      in namespace openshift-marketplace referenced by subscription nfd, subscription
      nfd exists'
    reason: ConstraintsNotSatisfiable
    status: "True"
    type: ResolutionFailed
  currentCSV: nfd.4.19.0-202510142112
  installPlanGeneration: 1
  installPlanRef:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-z9t5r
    namespace: openshift-nfd
    resourceVersion: "31470"
    uid: df84e438-8238-4b28-a7f1-a3c959d8104e
  installedCSV: nfd.4.19.0-202510142112
  installplan:
    apiVersion: operators.coreos.com/v1alpha1
    kind: InstallPlan
    name: install-z9t5r
    uuid: df84e438-8238-4b28-a7f1-a3c959d8104e
  lastUpdated: "2025-10-29T13:03:17Z"
  state: AtLatestKnown
